/**
 * Generates documentation
 *     js:     jsDoc
 *     scss:   sassdoc
 */
import gulp from 'gulp';
import sassdoc from 'sassdoc';
import jsdoc from 'gulp-jsdoc3';
import * as config from '../config.js';

gulp.task('jsdoc', (cb) => {
    gulp.src(config.js.src, {read: false})
        .pipe(
            jsdoc({
            'opts' : {
                'destination' : config.docs.js.src }
            }, cb)
        );
});

gulp.task('sassdoc', () => {
    return gulp.src(config.scss.files)
           .pipe(sassdoc({
               dest: config.docs.scss.src, 
               verbose:true
           }))
});

gulp.task('docs', ['jsdoc', 'sassdoc']);
